<div class="container">
  <div class="row">
    <div class="col-md-12 vh-100 d-flex justify-content-center align-items-center">
      <form style="background-color: #eee; min-height: 70vh; width: 500px; border-radius: 10px;" class="signForm d-flex justify-content-center align-items-center" action="/resetPassword/<%= token %>" method="post">
        <h4 style="font-weight: 900;">Reset Password</h4>

        <% if (successMessage && successMessage.length > 0) { %>
          <div id="successMessage" class="alert alert-success message">
            <%= successMessage[0] %>
          </div>
        <% } %>

        <!-- Display error message if it exists -->
        <% if (errorMessage && errorMessage.length > 0) { %>
          <div id="errorMessage" class="alert alert-danger message">
            <%= errorMessage[0] %>
          </div>
        <% } %>

        <script>
          // Hide success message after 3 seconds
          setTimeout(function() {
            var successMessage = document.getElementById('successMessage');
            if (successMessage) {
              successMessage.style.display = 'none';
            }
          }, 9000);

          // Hide error message after 3 seconds
          setTimeout(function() {
            var errorMessage = document.getElementById('errorMessage');
            if (errorMessage) {
              errorMessage.style.display = 'none';
            }
          }, 9000);
        </script>

        <!-- Show validation error message here -->
        <div id="validationErrors" style="display: none;">
          <ul class="px-5">
            <li id="passwordLengthError" style="color: red; display: none;">Password must be at least 8 characters long.</li>
            <li id="passwordStrengthError" style="color: red; display: none;">Password must contain at least one uppercase letter, one lowercase letter, one number, and one special character.</li>
            <li id="confirmPasswordError" style="color: red; display: none;">Passwords do not match.</li>
          </ul>
        </div>

        <input hidden type="text" name="token" value="<%= token %>">
        <div class="inputContainer mt-4">
          <input required type="password" id="inputPassword" class="PasswordInput ps-5" name="password" placeholder="New Password">
        </div>
        <div class="inputContainer">
          <input required type="password" id="confirmPassword" class="PasswordInput ps-5" name="confirmPassword" placeholder="Confirm Password">
        </div>
        <button type="submit" class="sign-btn">RESET PASSWORD</button>
      </form>
    </div>
  </div>
</div>

<script>
  document.addEventListener("DOMContentLoaded", function () {
    var passwordInput = document.getElementById("inputPassword");
    var confirmPasswordInput = document.getElementById("confirmPassword");
    var passwordLengthError = document.getElementById("passwordLengthError");
    var passwordStrengthError = document.getElementById("passwordStrengthError");
    var confirmPasswordError = document.getElementById("confirmPasswordError");
    var validationErrorsContainer = document.getElementById("validationErrors");
    var form = document.querySelector(".signForm");

    form.addEventListener("submit", function (event) {
      validationErrorsContainer.style.display = 'none'; // Hide validation errors initially

      if (passwordInput.value.length < 8) {
        passwordLengthError.style.display = 'block';
        validationErrorsContainer.style.display = 'block'; // Show validation errors
        event.preventDefault();
      } else {
        passwordLengthError.style.display = 'none'; // Clear the error message
      }

      if (!isPasswordStrong(passwordInput.value)) {
        passwordStrengthError.style.display = 'block';
        validationErrorsContainer.style.display = 'block'; // Show validation errors
        event.preventDefault();
      } else {
        passwordStrengthError.style.display = 'none'; // Clear the error message
      }

      if (passwordInput.value !== confirmPasswordInput.value) {
        confirmPasswordError.style.display = 'block';
        validationErrorsContainer.style.display = 'block'; // Show validation errors
        event.preventDefault();
      } else {
        confirmPasswordError.style.display = 'none'; // Clear the error message
      }
    });

    function isPasswordStrong(password) {
      // Minimum 8 characters, at least one uppercase letter, one lowercase letter, one number, and one special character
      var strongPasswordRegex = /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*?&])[A-Za-z\d@$!%*?&]{8,}$/;
      return strongPasswordRegex.test(password);
    }
  });
</script>
